org.apache.tinkerpop.gremlin.groovy.plugin

## Class SugarGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.groovy.plugin.SugarGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

  Deprecated.
  As of release 3.2.4, replaced by `SugarGremlinPlugin`.

      @Deprecated
      public class SugarGremlinPlugin
      extends AbstractGremlinPlugin

  A plugin implementation which allows for the usage of Gremlin Groovy's syntactic sugar.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin

      `DOT_STAR, ENV_CONSOLE_IO, ENV_CONSOLE_SHELL, IMPORT_SPACE, IMPORT_STATIC_SPACE, io, requireConsoleEnvironment, shell`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.groovy.plugin.GremlinPlugin

      `ENVIRONMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SugarGremlinPlugin()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPluginTo(PluginAcceptor pluginAcceptor)` Deprecated. Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
    `String` | `getName()` Deprecated. The name of the plugin.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin

      `pluginTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.groovy.plugin.GremlinPlugin

      `remoteAcceptor, requireRestart`

- - ### Constructor Detail

    - #### SugarGremlinPlugin

          public SugarGremlinPlugin()

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      The name of the plugin. This name should be unique (use a namespaced approach) as naming clashes will prevent proper plugin operations. Plugins developed by TinkerPop will be prefixed with "tinkerpop." For example, TinkerPop's implementation of Giraph would be named "tinkerpop.giraph". If Facebook were to do their own implementation the implementation might be called "facebook.giraph".

    - #### afterPluginTo

          public void afterPluginTo(PluginAcceptor pluginAcceptor)
                             throws IllegalEnvironmentException,
                                    PluginInitializationException

      Deprecated.
      Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.

      Executes the `SugarLoader#load()` method in the `PluginAcceptor`.
      Specified by:
        `afterPluginTo` in class `AbstractGremlinPlugin`
      Throws:
        `IllegalEnvironmentException`
        `PluginInitializationException`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.